### Hierarchy

- CollectionMapper

### Implements

- MapperForType<any[] | Set<any>>

## Index

### Methods

- fromDb
- toDb

## Methods

### fromDb

- fromDb(attributeValue: AttributeValue, propertyMetadata?: PropertyMetadata<any>): any[] | Set<any>

- Implementation of MapperForType.fromDb

  - Defined in mapper/for-type/collection.mapper.ts:8

  #### Parameters

  - ##### attributeValue: AttributeValue

  - ##### Optional propertyMetadata: PropertyMetadata<any>

  #### Returns any[] | Set<any>

### toDb

- toDb(propertyValue: any[] | Set<any>, propertyMetadata?: PropertyMetadata<any>): AttributeValue | null

- - Defined in mapper/for-type/collection.mapper.ts:39

  #### Parameters

  - ##### propertyValue: any[] | Set<any>

  - ##### Optional propertyMetadata: PropertyMetadata<any>

  #### Returns AttributeValue | null

Generated using TypeDoc